const express = require('express');
const router = express.Router();

const queueController = require("../controllers/QueueController");
const authController = require("../controllers/AuthController");

router.get('/queue', [ authController.checkAuth ],queueController.showReserve);
router.get('/queue/track', [ authController.checkAuth ],queueController.showTrack);
router.post('/queue/fetch/:id', [ authController.checkAuth ],queueController.fetchQueue);
router.post('/queue/submit', [ authController.checkAuth ],queueController.queueSubmit);

// 
module.exports = router;